# $Revision: 1.31 $, $Date: 2011/10/31 09:20:25 $
Summary:	Generic USB CCID (Chip/Smart Card Interface Devices) driver
Summary(pl.UTF-8):	Ogólny sterownik USB CCID (Chip/Smart Card Interface Devices)
Name:		pcsc-driver-ccid
Version:	1.4.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: http://alioth.debian.org/project/showfiles.php?group_id=30105
Source0:	https://alioth.debian.org/frs/download.php/3672/ccid-%{version}.tar.bz2
# Source0-md5:	cb9a77194ac335c39b262ea83a5b7d2e
URL:		http://pcsclite.alioth.debian.org/ccid.html
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pcsc-lite-devel >= 1.6.5
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.583
Requires:	pcsc-lite >= 1.6.5
Provides:	ccid = %{version}-%{release}
Obsoletes:	ccid < 1.4.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		usbdropdir	/usr/%{_lib}/pcsc/drivers
%define		ccidtwindir	/usr/%{_lib}/pcsc/drivers

# pcscd provides log_msg and log_xxd functions
%define		skip_post_check_so	libccid.so.1.4.0 libccidtwin.so.1.4.0

%description
This package provides generic USB CCID (Chip/Smart Card Interface
Devices) driver.

Full lists of supported devices are available here:
<http://pcsclite.alioth.debian.org/supported.html>
<http://pcsclite.alioth.debian.org/shouldwork.html>

%description -l pl.UTF-8
Ten pakiet zawiera ogólny sterownik USB CCID (Chip/Smart Card
Interface Devices).

Pełne listy obsługiwanych urządzeń są dostępne na WWW:
<http://pcsclite.alioth.debian.org/supported.html>
<http://pcsclite.alioth.debian.org/shouldwork.html>

%package -n udev-pcsc-driver-ccid
Summary:	udev support for CCID PC/SC driver
Summary(pl.UTF-8):	Obsługa udev dla sterownika PC/SC CCID
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	udev-core

%description -n udev-pcsc-driver-ccid
udev support for CCID PC/SC driver.

%description -n udev-pcsc-driver-ccid -l pl.UTF-8
Obsługa udev dla sterownika PC/SC CCID.

%package serial
Summary:	Generic USB CCID driver for readers connected to serial port
Summary(pl.UTF-8):	Ogólny sterownik USB CCID dla czytników podłączonych przez port szeregowy
Group:		Libraries
Requires:	pcsc-lite >= 1.6.5

%description serial
Generic USB CCID driver for readers connected to serial port.
Supported CCID devices:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%description serial -l pl.UTF-8
Ogólny sterownik USB CCID dla czytników podłączonych przez port
szeregowy. Obsługiwane urządzenia CCID:
- Gemplus/Gemalto GemPC Twin
- Gemplus/Gemalto GemCore POS Pro
- Gemplus/Gemalto GemCore SIM Pro
- Gemalto GemPC PinPad

%prep
%setup -q -n ccid-%{version}

%build
%configure \
	--enable-ccidtwindir=%{ccidtwindir} \
	--enable-twinserial \
	--enable-usbdropdir=%{usbdropdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C src install_ccidtwin \
	DESTDIR=$RPM_BUILD_ROOT

cp -p src/92_pcscd_ccid.rules $RPM_BUILD_ROOT/lib/udev/rules.d/70-pcscd_ccid.rules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SCARDGETATTRIB.txt readers/supported_readers.txt
%dir %{usbdropdir}/ifd-ccid.bundle
%dir %{usbdropdir}/ifd-ccid.bundle/Contents
%{usbdropdir}/ifd-ccid.bundle/Contents/Info.plist
%dir %{usbdropdir}/ifd-ccid.bundle/Contents/Linux
%attr(755,root,root) %{usbdropdir}/ifd-ccid.bundle/Contents/Linux/libccid.so*

%files -n udev-pcsc-driver-ccid
%defattr(644,root,root,755)
/lib/udev/rules.d/70-pcscd_ccid.rules

%files serial
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README SCARDGETATTRIB.txt readers/supported_readers.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/reader.conf.d/libccidtwin
%attr(755,root,root) %{ccidtwindir}/libccidtwin.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcsc-driver-ccid.spec,v $
Revision 1.31  2011/10/31 09:20:25  jajcus
- Version: 1.4.5

Revision 1.30  2011/09/07 19:29:12  qboosh
- updated pcsc-lite dependencies

Revision 1.29  2011/08/31 19:56:18  lmasko
- Up to 1.4.4.

Revision 1.28  2011/03/18 17:06:19  qboosh
- use __rm macro

Revision 1.27  2011/03/17 18:25:01  atler
- up to 1.4.2
- drop obsolete --enable-udev

Revision 1.26  2011/02/01 22:34:00  sparky
- checked skip_post_check_so; there is no fix, it must stay this way
- BR: perl-base

Revision 1.25  2011/02/01 21:49:35  glen
- skip post so check to build now

Revision 1.24  2011/02/01 21:41:32  glen
- udev to rules to /lib; rel 3

Revision 1.23  2011/01/03 19:21:58  glen
- Provide upgrade path from 'ccid' package

Revision 1.22  2010/08/08 09:27:34  qboosh
- updated to 1.4.0
- uses libusb-1 now
- pointers to WWW instead of supported readers list (getting too large and still incomplete)

Revision 1.21  2010/04/06 22:25:34  duddits
- rel. 2

Revision 1.20  2010/02/26 14:31:56  zbyniu
- up to 1.3.11

Revision 1.19  2008/11/17 17:29:51  qboosh
- optional udev (i.e. subpackage)

Revision 1.18  2008/11/17 17:12:14  qboosh
- updated devices list

Revision 1.17  2008/11/16 23:12:36  arekm
- pcsc daemon tries to open .so

Revision 1.16  2008/11/16 22:46:57  arekm
- up to 1.3.8; add udev files

Revision 1.15  2008-05-31 15:31:14  qboosh
- updated to 1.3.6

Revision 1.14  2008-03-01 20:05:58  qboosh
- updated to 1.3.5

Revision 1.13  2007-05-12 14:09:30  qboosh
- updated to 1.3.0

Revision 1.12  2007/02/27 11:34:59  qboosh
- updated one more pcsc-lite dep

Revision 1.11  2007/02/21 08:42:20  qboosh
- updated Source0 URL

Revision 1.10  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.8  2007/01/31 15:38:09  qboosh
- updated to 1.2.1

Revision 1.7  2007/01/22 09:29:29  qboosh
- updated to 1.2.0

Revision 1.6  2006/08/16 08:57:52  qboosh
- updated to 1.1.0

Revision 1.5  2006/04/24 09:23:42  qboosh
- updated to 1.0.1

Revision 1.4  2006/03/06 09:52:52  qboosh
- merged from DEVEL

Revision 1.3  2004/08/23 08:46:58  qboosh
- updated download URL

Revision 1.2.2.6  2006/03/06 09:51:55  qboosh
- updated to 1.0.0

Revision 1.2.2.5  2005/11/28 10:08:00  qboosh
- updated to 0.9.4

Revision 1.2.2.4  2005/04/01 21:55:29  qboosh
- up to 0.9.3

Revision 1.2.2.3  2004/08/23 08:46:30  qboosh
- updated download URL

Revision 1.2.2.2  2004/08/20 12:18:21  qboosh
- 0.9.2, removed obsolete update patch

Revision 1.2.2.1  2004/08/02 10:35:42  qboosh
- updated to 0.9.1 (needs devel pcsc-lite), added update patch

Revision 1.2  2004/07/30 18:01:38  qboosh
- fixed dropdir

Revision 1.1  2004/06/22 15:00:18  qboosh
- new
